POST /inbox/conversations/{id}/read

Mark the conversation read in Postgale (unreadCount 0) and, unless platform is false, as seen on Meta (mark_seen; WhatsApp: the latest inbound message is marked read; best effort: a failure or a closed messaging window is returned in warnings)

POST
/inbox/conversations/{id}/read

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Conversation id

Request Body

application/json
  1. body
platform?boolean

false: only mark read in Postgale

Defaulttrue

Response Body

{conversation, warnings?}

application/json
  1. response
conversation?
warnings?array<string>
Example Request
curl -X POST 'https://example.com/api/v1/inbox/conversations/string/read' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "conversation": {    "id": "string",    "accountId": "string",    "platform": "instagram",    "platformConversationId": "string",    "participant": {      "id": "string",      "username": "string",      "name": "string",      "pictureUrl": "string",      "phone": "string",      "userId": "string",      "parentUserId": "string"    },    "lastMessage": {      "text": "string",      "direction": "inbound",      "at": "2019-08-24T14:15:22Z"    },    "unreadCount": 0,    "lastReadAt": "2019-08-24T14:15:22Z",    "participantReadAt": "2019-08-24T14:15:22Z",    "status": "active",    "messagingWindow": {      "open": true,      "closesAt": "2019-08-24T14:15:22Z",      "humanAgentClosesAt": "2019-08-24T14:15:22Z"    },    "syncedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "warnings": [    "string"  ]}